AbstractConcurrentMapBase (Groovy 4.0.15)
Description: declaration: package: org.codehaus.groovy.util, class: AbstractConcurrentMapBase

Package org.codehaus.groovy.util

# Class AbstractConcurrentMapBase

java.lang.Object
org.codehaus.groovy.util.AbstractConcurrentMapBase

Direct Known Subclasses:
  `AbstractConcurrentMap`

@Deprecated public abstract class AbstractConcurrentMapBase extends Object
Deprecated.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `AbstractConcurrentMapBase.Entry<V>`
  Deprecated.
  `static class`
  `AbstractConcurrentMapBase.Segment`
  Deprecated.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final int`
  `MAXIMUM_CAPACITY`
  Deprecated.
  `protected final AbstractConcurrentMapBase.Segment[]`
  `segments`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractConcurrentMapBase(Object segmentInfo)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract AbstractConcurrentMapBase.Segment`
  `createSegment(Object segmentInfo, int cap)`
  Deprecated.
  `int`
  `fullSize()`
  Deprecated.
  `protected static <K> int`
  `hash(K key)`
  Deprecated.
  `AbstractConcurrentMapBase.Segment`
  `segmentFor(int hash)`
  Deprecated.
  `int`
  `size()`
  Deprecated.
  `Collection`
  `values()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MAXIMUM_CAPACITY

    protected static final int MAXIMUM_CAPACITY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### segments

    protected final AbstractConcurrentMapBase.Segment[] segments
    Deprecated.

- ## Constructor Details

  - ### AbstractConcurrentMapBase

    public AbstractConcurrentMapBase(Object segmentInfo)
    Deprecated.

- ## Method Details

  - ### createSegment

    protected abstract AbstractConcurrentMapBase.Segment createSegment(Object segmentInfo, int cap)
    Deprecated.

  - ### hash

    protected static <K> int hash(K key)
    Deprecated.

  - ### segmentFor

    public AbstractConcurrentMapBase.Segment segmentFor(int hash)
    Deprecated.

  - ### fullSize

    public int fullSize()
    Deprecated.

  - ### size

    public int size()
    Deprecated.

  - ### values

    public Collection values()
    Deprecated.